> For the complete documentation index, see [llms.txt](https://docs.topay.mobi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.topay.mobi/cn/reference/api-reference/fiat-payments/payin/country-examples/egypt/wallet.md).

# 钱包

{% hint style="warning" %}
每个请求都必须包含[公共参数](/cn/reference/api-reference/common-parameters.md)。
{% endhint %}

示例

<pre><code><strong>// Request
</strong>curl --location --request POST 'https://api.topay.mobi/v1/order/pay' \
--header 'Content-Type: application/json' \
--data-raw '{
    "request_id": "custom_code9982674851738108",
    "currency": "EGP",
    "amount": "150",
    "payment_method": "direct",
    "payment_type": "wallet",
    "payment_channel": "fawry",
    "product_name": "product info",
    "customer_ref_id": "abcd1234",
    "notify_url": "https://notify.url",
    "remark": "payout test remark"
}'
</code></pre>

```
// Response

{"code":"200",
 "data":{
   "request_id":"custom_code9982674851738108",
   "partner_id":"2000051",
   "order_no":"2023013120000600262092321146",
   "currency":"EGP",
   "order_amount":"150",
   "status":11,
   "payment_method":"direct",
   "checkout_url":"http://xxx.com/vfsjdkfdst"
 },
 "message":"success"
 }
```

示例主要展示业务字段。
